<?php
/**
 * General queries class
 *
 * @package Marketplace for WooCommerce
 * @version 5.0.0
 */

namespace WkMarketplacePro\Helper;

defined( 'ABSPATH' ) || exit(); // Exit if access directly.

use WkMarketplace\Helper as HelperLite;

if ( ! class_exists( 'WKMP_General_Queries_Pro' ) ) {

	/**
	 * General queries class
	 */
	class WKMP_General_Queries_Pro extends HelperLite\WKMP_General_Queries {

		/**
		 * DB Variable
		 *
		 * @var object
		 */
		protected $wpdb;

		/**
		 * Instance variable
		 *
		 * @var $instance
		 */
		protected static $instance = null;

		/**
		 * Constructor
		 */
		public function __construct() {
			global $wpdb;
			$this->wpdb = $wpdb;
		}

		/**
		 * Ensures only one instance of this class is loaded or can be loaded.
		 *
		 * @return object
		 */
		public static function get_instance() {
			if ( ! static::$instance ) {
				static::$instance = new self();
			}
			return static::$instance;
		}

		/**
		 * Delete ICL user meta for WPML.
		 *
		 * @param int    $user_id User id.
		 * @param string $key User meta key.
		 *
		 * @return void
		 */
		public function wkmp_delete_icl_user_meta( $user_id, $key = '' ) {
			$user_id  = empty( $user_id ) ? get_current_user_id() : $user_id;
			$wpdb_obj = $this->wpdb;
			delete_user_meta( $user_id, $wpdb_obj->prefix . $key );
		}

		/**
		 * Validate seller registrations. Allow for as many sellers as required.
		 *
		 * @return bool
		 */
		public function wkmp_validate_seller_registration() {
			return true;
		}
	}
}
