<?php
/**
 * Admin End Hooks.
 *
 * @package Marketplace for WooCommerce
 * @version 5.0.0
 */

namespace WkMarketplacePro\Includes\Admin;

defined( 'ABSPATH' ) || exit(); // Exit if access directly.

if ( ! class_exists( 'WKMP_Admin_Ajax_Hooks_Pro' ) ) {

	/**
	 * Admin hooks class.
	 *
	 * Class WKMP_Admin_Ajax_Hooks_Pro
	 *
	 * @package WkMarketplace\Includes\Admin
	 */
	class WKMP_Admin_Ajax_Hooks_Pro {
		/**
		 * Instance variable
		 *
		 * @var $instance
		 */
		protected static $instance = null;

		/**
		 * Admin hooks constructor.
		 */
		public function __construct() {
			$function_handler = WKMP_Admin_Ajax_Functions_Pro::get_instance();
			add_action( 'wp_ajax_wkmp_pro_approve_seller', array( $function_handler, 'wkmp_pro_approve_disapprove_seller' ) );
			add_action( 'wp_ajax_wkmp_pro_validate_seller_shipping_zone', array( $function_handler, 'wkmp_pro_separate_seller_shipping_zone' ) );
		}

		/**
		 * Ensures only one instance of this class is loaded or can be loaded.
		 *
		 * @return object
		 */
		public static function get_instance() {
			if ( ! static::$instance ) {
				static::$instance = new self();
			}
			return static::$instance;
		}
	}
}
