<?php
/**
 * Front hooks template
 *
 * @package Marketplace for WooCommerce
 *
 * @version 5.0.0
 */

namespace WkMarketplacePro\Includes\Common;

defined( 'ABSPATH' ) || exit(); // Exit if access directly.

if ( ! class_exists( 'WKMP_Common_Functions_Pro' ) ) {
	/**
	 * Front hooks class
	 */
	class WKMP_Common_Functions_Pro {
		/**
		 * Instance variable
		 *
		 * @var $instance
		 */
		protected static $instance = null;

		/**
		 * Constructor.
		 */
		public function __construct() {
		}

		/**
		 * Ensures only one instance of this class is loaded or can be loaded.
		 *
		 * @return object
		 */
		public static function get_instance() {
			if ( ! static::$instance ) {
				static::$instance = new self();
			}
			return static::$instance;
		}

		/**
		 * Include widgets.
		 */
		public function wkmp_pro_include_widgets() {
			require __DIR__ . '/widgets/class-wkmp-widget-seller-list.php';
			require __DIR__ . '/widgets/class-wkmp-widget-seller-panel.php';

			register_widget( 'WKMP_Widget_Seller_List' );
			register_widget( 'WKMP_Widget_Seller_Panel' );
		}

		/**
		 * Return if redis server is installed and enabled thus redis caching can be used.
		 *
		 * @param string $enabled Enabled.
		 *
		 * @return string
		 */
		public function wkmp_pro_is_redis_caching_enabled( $enabled ) {
			$res = exec( 'redis-cli ping' );

			if ( 'PONG' === $res ) {
				$enabled = 'yes';
			}

			return $enabled;
		}
	}
}
