<?php
/**
 * Front hooks template
 *
 * @package Marketplace for WooCommerce
 * @version 5.0.0
 */

namespace WkMarketplacePro\Includes\Common;

defined( 'ABSPATH' ) || exit(); // Exit if access directly.

if ( ! class_exists( 'WKMP_Common_Hooks_Pro' ) ) {
	/**
	 * Front hooks clasṣ
	 *
	 * Class WKMP_Common_Hooks_Pro
	 *
	 * @package WkMarketplace\Includes\Common
	 */
	class WKMP_Common_Hooks_Pro {
		/**
		 * Instance variable
		 *
		 * @var $instance
		 */
		protected static $instance = null;

		/**
		 * Constructor.
		 */
		public function __construct() {
			$function_handler = WKMP_Common_Functions_Pro::get_instance();
			add_action( 'widgets_init', array( $function_handler, 'wkmp_pro_include_widgets' ) );
			add_filter( 'wkwc_caching_redis_enabled', array( $function_handler, 'wkmp_pro_is_redis_caching_enabled' ) );
		}

		/**
		 * Ensures only one instance of this class is loaded or can be loaded.
		 *
		 * @return object
		 */
		public static function get_instance() {
			if ( ! static::$instance ) {
				static::$instance = new self();
			}
			return static::$instance;
		}
	}
}
