<?php
/**
 * Front Ajax hooks Pro.
 *
 * @package Marketplace for WooCommerce
 */

namespace WkMarketplacePro\Includes\Front;

defined( 'ABSPATH' ) || exit; // Exit if access directly.

if ( ! class_exists( 'WKMP_Front_Ajax_Hooks_Pro' ) ) {
	/**
	 * Front ajax hooks Pro
	 */
	class WKMP_Front_Ajax_Hooks_Pro {
		/**
		 * Instance variable
		 *
		 * @var $instance
		 */
		protected static $instance = null;

		/**
		 * Constructor
		 */
		public function __construct() {
			$function_handler = WKMP_Front_Ajax_Functions_Pro::get_instance();
			add_action( 'wp_ajax_wkmp_add_shipping_class', array( $function_handler, 'wkmp_pro_add_shipping_class' ) );
			add_action( 'wp_ajax_wkmp_save_shipping_cost', array( $function_handler, 'wkmp_pro_seller_save_shipping_cost' ) );
			add_action( 'wp_ajax_wkmp_delete_shipping_class', array( $function_handler, 'wkmp_pro_seller_delete_shipping_class' ) );
			add_action( 'wp_ajax_wkmp_add_shipping_method', array( $function_handler, 'wkmp_pro_seller_add_shipping_method' ) );
			add_action( 'wp_ajax_wkmp_delete_shipping_method', array( $function_handler, 'wkmp_pro_delete_shipping_method' ) );
			add_action( 'wp_ajax_wkmp_del_zone', array( $function_handler, 'wkmp_pro_delete_zone' ) );
		}

		/**
		 * Ensures only one instance of this class is loaded or can be loaded.
		 *
		 * @return object
		 */
		public static function get_instance() {
			if ( ! static::$instance ) {
				static::$instance = new self();
			}
			return static::$instance;
		}
	}
}
