<?php
/**
 * MP Lite dependency checker function.
 *
 * @package Marketplace for WooCommerce
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Functions used by plugins.
 */
if ( ! class_exists( 'WKMP_Lite_Dependencies' ) ) {
	require_once __DIR__ . '/class-wkmp-lite-dependencies.php';
}

/**
 * MP install detection Detection.
 */
if ( ! function_exists( 'wkmp_is_lite_installed' ) ) {
	/**
	 * Checking if MP Lite is installed.
	 *
	 * @return bool
	 */
	function wkmp_is_lite_installed() {
		return WKMP_Lite_Dependencies::wkmp_lite_install_check();
	}
}

/**
 * MP Lite active Detection.
 */
if ( ! function_exists( 'wkmp_is_lite_active' ) ) {
	/**
	 * Checking if MP Lite is active.
	 *
	 * @return bool
	 */
	function wkmp_is_lite_active() {
		return WKMP_Lite_Dependencies::wkmp_lite_active_check();
	}
}

/**
 * MP Lite min required version detection.
 */
if ( ! function_exists( 'wkmp_is_min_lite_version_installed' ) ) {
	/**
	 * Checking if minimum required MP Lite version is installed.
	 *
	 * @return bool
	 */
	function wkmp_is_min_lite_version_installed() {
		return WKMP_Lite_Dependencies::wkmp_lite_min_version_check();
	}
}
