<?php
/**
 * Front template hooks.
 *
 * @package Marketplace for WooCommerce
 * @version 5.0.0
 */

namespace WkMarketplacePro\Templates\Front;

defined( 'ABSPATH' ) || exit; // Exit if access directly.

if ( ! class_exists( 'WKMP_Front_Template_Hooks_Pro' ) ) {
	/**
	 * Template hooks.
	 */
	class WKMP_Front_Template_Hooks_Pro {
		/**
		 * Instance variable.
		 *
		 * @var $instance
		 */
		protected static $instance = null;

		/**
		 * Constructor of the class.
		 */
		public function __construct() {
			$function_handler = WKMP_Front_Template_Functions_Pro::get_instance();

			// Customer Account menu.
			add_filter( 'query_vars', array( $function_handler, 'wkmp_pro_add_query_vars' ) );
			add_filter( 'woocommerce_account_menu_items', array( $function_handler, 'wkmp_pro_new_menu_items' ) );
			add_filter( 'the_title', array( $function_handler, 'wkmp_pro_endpoint_title' ) );

			add_action( 'wp_footer', array( $function_handler, 'wkmp_pro_front_footer_templates' ) );

			$become_seller = get_option( '_wkmp_become_seller_endpoint', 'become-seller' );
			add_action( 'woocommerce_account_' . $become_seller . '_endpoint', array( $function_handler, 'wkmp_pro_become_seller_endpoint_content' ) );

			add_action( 'wk_mkt_add_register_field', array( $function_handler, 'wkmp_pro_maybe_show_signup_term_checkbox' ) );
			add_action( 'wkmp_after_seller_user_profile_data', array( $function_handler, 'wkmp_pro_show_become_seller_button' ) );
		}

		/**
		 * Ensures only one instance of this class is loaded or can be loaded.
		 *
		 * @return object
		 */
		public static function get_instance() {
			if ( ! static::$instance ) {
				static::$instance = new self();
			}
			return static::$instance;
		}
	}
}
