<?php
/**
 * Deleting pro options on uninstall the pro module. (Uninstall means and then delete button clicked. Only the this file will run. )
 *
 * @package Marketplace for WooCommerce
 */

// if uninstall.php is not called by WordPress, die.
if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) {
	die;
}

$option_keys = array(
	'_wkmp_auto_approve_seller',
	'_wkmp_separate_seller_dashboard',
	'_wkmp_separate_seller_registration',
	'wkmp_shipping_option',
	'wkmp_seller_terms_page_id',
	'_wkmp_allow_seller_to_publish',
);

foreach ( $option_keys as $option_key ) {
	delete_option( $option_key );
}

/** Deleting all seller's order approval meta. */

$meta_key = '_wkmp_enable_seller_order_approval';

$get_sellers = get_users(
	array(
		'role'         => 'wk_marketplace_seller',
		'number'       => -1,
		'meta_key'     => $meta_key,
		'meta_compare' => 'EXISTS',
		'fields'       => 'ID',
	)
);

foreach ( $get_sellers as $seller_id ) {
	delete_user_meta( $seller_id, $meta_key );
}
