<?php
/**
 * Email templates.
 *
 * @package Marketplace for WooCommerce
 *
 * @version 5.0.0
 */

defined( 'ABSPATH' ) || exit; // Exit if access directly.

$seller_login = $data['user_login'];
$auto_approve = $data['auto_approve'];

$welcome = sprintf( esc_html__( 'Thank you for your request to become a seller on ', 'wk-marketplace' ) . get_option( 'blogname' ) . '!' ) . "\r\n\n";
$welcome = $auto_approve ? sprintf( esc_html__( 'Congratulations!! Now you are a seller on ', 'wk-marketplace' ) . get_option( 'blogname' ) . '!' ) . "\r\n\n" : $welcome;

$store_name = esc_html__( 'Your store name is: ', 'wk-marketplace' ) . $data['store_name'] . "\n\n\r\n\r\n\n\n";
$store_url  = esc_html__( 'Your store URL is: ', 'wk-marketplace' ) . $data['shop_url'] . "\n\n\r\n\r\n\n\n";
$phone      = esc_html__( 'Your store URL is: ', 'wk-marketplace' ) . $data['phone'] . "\n\n\r\n\r\n\n\n";

$msg = esc_html__( 'Your request is under process, you will get notified in next email once it is approved.', 'wk-marketplace' ) . "\n\n\r\n\r\n\n\n";
$msg = $auto_approve ? esc_html__( 'You can add your products and continue selling.', 'wk-marketplace' ) . "\n\n\r\n\r\n\n\n" : $msg;

$admin       = get_option( 'admin_email' );
$footer_text = apply_filters( 'woocommerce_email_footer_text', get_option( 'woocommerce_email_footer_text' ) );
$reference   = esc_html__( 'If you have any problems, please contact me at', 'wk-marketplace' ) . "\r\n\r\n";

echo '= ' . wp_kses_post( mb_convert_encoding( $email_heading, 'UTF-8' ) ) . " =\n\n";
echo wp_sprintf( /* translators: %s Customer first name. */esc_html__( 'Hi %s,', 'wk-marketplace' ), esc_html( mb_convert_encoding( $seller_login, 'UTF-8' ) ) ) . "\n\n";

echo wp_kses_post( mb_convert_encoding( $welcome, 'UTF-8' ) ) . "\n";
echo wp_kses_post( mb_convert_encoding( $store_name, 'UTF-8' ) ) . "\n";
echo wp_kses_post( mb_convert_encoding( $store_url, 'UTF-8' ) ) . "\n";
echo wp_kses_post( mb_convert_encoding( $phone, 'UTF-8' ) ) . "\n";
echo wp_kses_post( mb_convert_encoding( $msg, 'UTF-8' ) ) . "\n";
echo wp_kses_post( mb_convert_encoding( $reference, 'UTF-8' ) ) . "\n";
echo '<a href="mailto:' . wp_kses_post( mb_convert_encoding( $admin, 'UTF-8' ) ) . '">' . wp_kses_post( mb_convert_encoding( $admin, 'UTF-8' ) ) . '</a>';

echo "\n=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=\n\n";

echo wp_kses_post( mb_convert_encoding( $footer_text, 'UTF-8' ) );
